-- 采购收货编码规则
DELETE FROM T_CR_CodeRuleEntry WHERE FENTRYID = '26TOEMLZ0PFO';
INSERT INTO T_CR_CodeRuleEntry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('26TOEML/SJIJ',1,'1',' ','0','26TOEMLZ0PFO',1,'1','1',0,8,'1','REC','1',' ',' ','0',' '); 
DELETE FROM T_CR_CodeRuleEntry WHERE FENTRYID = '26TOEMLZ0PFP';
INSERT INTO T_CR_CodeRuleEntry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('26TOEML/SJIJ',1,'2','-','1','26TOEMLZ0PFP',1,'1',' ',1,8,'1','yyMMdd','1',' ','createtime','1',' '); 
DELETE FROM T_CR_CodeRuleEntry WHERE FENTRYID = '26TOEMLZ0PFQ';
INSERT INTO T_CR_CodeRuleEntry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('26TOEML/SJIJ',1,'16','-','0','26TOEMLZ0PFQ',1,'1',' ',2,5,'1',' ','1',' ',' ','1',' '); 


DELETE FROM T_CR_CodeRule WHERE FID = '26TOEML/SJIJ';
INSERT INTO T_CR_CodeRule(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FISCHECKCODE,FID,FCTRLMODE,FSPLITSIGN,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','26TOEML/SJIJ','0','0',{ts'2022-01-26  00:00:00'},'pur_receipt','1','0','0','1','0','26TOEML/SJIJ','1','-','0','C','26TOB97X=J/D',' ','0',13466739,'0',{ts'2022-01-26  00:00:00'},0); 

DELETE FROM T_CR_CodeRule_l WHERE FPKID = '26TOEML/UNNV';
INSERT INTO T_CR_CodeRule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('26TOEML/SJIJ','26TOEML/UNNV','zh_CN','采购收货编码规则'); 
DELETE FROM T_CR_CodeRule_l WHERE FPKID = '26TOEML/UNNU';
INSERT INTO T_CR_CodeRule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('26TOEML/SJIJ','26TOEML/UNNU','zh_TW','采購收貨編碼規則'); 

-- 收货退货编码规则
DELETE FROM T_CR_CodeRuleEntry WHERE FENTRYID = '26TTBX90HSUY';
INSERT INTO T_CR_CodeRuleEntry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('26TTBX86W13A',1,'1',' ','0','26TTBX90HSUY',1,'1','1',0,8,'1','RECRET','1',' ',' ','0',' '); 
DELETE FROM T_CR_CodeRuleEntry WHERE FENTRYID = '26TTBX90HSUZ';
INSERT INTO T_CR_CodeRuleEntry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('26TTBX86W13A',1,'2','-','1','26TTBX90HSUZ',1,'1',' ',1,8,'1','yyMMdd','1',' ','createtime','1',' '); 
DELETE FROM T_CR_CodeRuleEntry WHERE FENTRYID = '26TTBX90HSV+';
INSERT INTO T_CR_CodeRuleEntry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FADDSTYLE,FSETTINGVALUE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('26TTBX86W13A',1,'16','-','0','26TTBX90HSV+',1,'1',' ',2,5,'1',' ','1',' ',' ','1',' '); 


DELETE FROM T_CR_CodeRule WHERE FID = '26TTBX86W13A';
INSERT INTO T_CR_CodeRule(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FISCHECKCODE,FID,FCTRLMODE,FSPLITSIGN,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FISFAST,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','26TTBX86W13A','0','0',{ts'2022-01-26  00:00:00'},'pur_receipt_return','1','0','0','1','0','26TTBX86W13A','1','-','0','C','26TT=0V07GPT',' ','0',13466739,'0',{ts'2022-01-26  00:00:00'},0); 

DELETE FROM T_CR_CodeRule_l WHERE FPKID = '26TTBX86W2FV';
INSERT INTO T_CR_CodeRule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('26TTBX86W13A','26TTBX86W2FV','zh_CN','收货退货编码规则'); 
DELETE FROM T_CR_CodeRule_l WHERE FPKID = '26TTBX86W2FU';
INSERT INTO T_CR_CodeRule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('26TTBX86W13A','26TTBX86W2FU','zh_TW','收貨退貨編碼規則'); 



